/*
 * ----------------------------------------------------------------
 * Night Light Asynchrounous DNS Resolver
 * ----------------------------------------------------------------
 * Copyright (C) 1997-2003 Jonas Kvinge <jonas@night-light.net>
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Last modified by:
 * Jonas Kvinge (06.01.2001)
 *
 */

#ifdef ARES_QUERY_H
#warning "ares_query.h already included."
#else
#define ARES_QUERY_H

/* FUNCTION PROTOTYPES - JONAS (05.07.2000) */

void ares_query_add(const unsigned long int Class, const unsigned long int Type, const char *NamePT, const unsigned long int Addr, const unsigned long int AddrLen, Ares_Callback Callback, void *ArgPT);
signed short int ares_mkquery(const char *NamePT, signed long int Class, signed long int Type, unsigned short ID, signed long int RD, unsigned char **BufferPT, signed long int *BufferLenPT);
void ares_query_server(struct Ares_Query_Struct *Ares_Query);
void ares_query_send(struct Ares_Query_Struct *Query);
void ares_query_callback(struct Ares_Query_Struct *Query, const unsigned short int Result);
void ares_query_rem(struct Ares_Query_Struct *Query);
void ares_query_init(struct Ares_Query_Struct *Query);

#endif
