/*
 * ----------------------------------------------------------------
 * Night Light Program Defines (nlprgdef.h)
 * ----------------------------------------------------------------
 * Copyright (C) 1997-2006 Jonas Kvinge <jonas@night-light.net>
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Last modified by:
 * Jonas Kvinge (24.08.2006)
 *
 */

#ifdef NLPRGDEF_H
#warning "nlprgdef.h already included."
#else
#define NLPRGDEF_H

#define PACKAGE						PACKAGE_NAME
#define VERSION						PACKAGE_VERSION
#define UNIXNAME					PACKAGE
#define SHORTNAME					"Night Light IRC Proxy"
#define LONGNAME					"Night Light Internet Relay Chat Proxy Server Daemon"
#define DESCRIPTION					"Internet Relay Chat Proxy"
#define AUTHORNAME					"Jonas Kvinge"
#define AUTHORMAIL					"jonas@night-light.net"
#define URL						"http://www.ircproxy.night-light.net/"
#define COPYRIGHT					"Copyright (C) 1997-2006 Jonas Kvinge, all rights reserved."
#define STARTUPLN1					LONGNAME " v" VERSION
#define STARTUPLN2					COPYRIGHT

#define ACCESS_CONFFILE					"ircproxy-access.conf"
#define LISTEN_CONFFILE					"ircproxy-listen.conf"
#define USER_CONFFILE					"ircproxy-user.conf"
#define CONN_CONFFILE					"ircproxy-conn.conf"
#define IDENT_CONFFILE					"ircproxy-ident.conf"

#define MAINLOGFILE					"ircproxy.log"
#define ERRORLOGFILE					"ircproxy-error.log"
#define DEBUGLOGFILE					"ircproxy-debug.log"

#define NLPRGSEC					3
#define NLPRGUSEC					0

#define ARES						TRUE

#define EXITTTL						5
#define FLUSHTIME					45

#ifndef SOMAXCONN
  #define SOMAXCONN 64
#endif

#define IRCP_USER_HOST(X)				(((X->ListenS != NULL) && (X->ListenS->HostIPH != 0)) ? X->ListenS->Host : HOSTNAME)
#define IRCP_USER_NICK(X)				(((X->ConnS != NULL) && (Conn_IsWelcome(X->ConnS))) ? X->ConnS->IRCNick : "*")

#ifndef NBLOCK_SYSV
  #ifndef NBLOCK_BSD
    #ifndef NBLOCK_POSIX
      #define NBLOCK_POSIX 1
    #endif
  #endif
#endif


#if !USER_CONF && !HAVE_GETPWNAM && !HAVE_GETSPNAM && !HAVE_GETUSERPW && !HAVE_GETSPWNAM
  #error "This system does not seem to have getpwnam(), getspnam(), getuserpw() or getspwnam()."
  #error "One of those functions are required to retrive system passwords."
  #error "To get this program to work on this system please define USER_CONF in make config."
  #error "Please report this error the same way you report a bug."
#endif


#endif
