/*
 * ----------------------------------------------------------------
 * Night Light String Defines (nlstrdef.h)
 * ----------------------------------------------------------------
 * Copyright (C) 1997-2003 Jonas Kvinge <jonas@night-light.net>
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Last modified by:
 * Jonas Kvinge (12.08.2001)
 *
 */

#ifdef NLSTRDEF_H
#warning "nlstrdef.h already included."
#else
#define NLSTRDEF_H


/* DEFINES */

#define STDINMSGLEN		512
#define DATESTAMPLEN		12
#define TIMESTAMPLEN		10
#define DTSTAMPLEN		21
#define HOURLEN			2
#define MINLEN			2
#define SECLEN			2
#define STRDURATIONLEN		200
#define FILELEN			1024
#define USERLEN			12
#define HOSTLEN			254
#define RECVBUFFERLEN		2048
#define SENDBUFFERLEN		2048
#define LINELEN			4000
#define TEXTLEN			150
#define SPACE10			"          "
#define SPACE15			"               "
#define SPACE20			"                    "
#define ONESECOND		1
#define ONEMINUTE		60
#define ONEHOUR			3600
#define ONEDAY			86400
#define FILECHARS		"abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789_-.!@{}[]~:,"
#define STRHOSTCHARS		"abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789-.?*"


/* MACROS */

#define Seconds(x)		(((x) / ONESECOND) % ONEMINUTE)
#define Minutes(x)		(((x) / ONEMINUTE) % ONEMINUTE)
#define Hours(x)		(((x) / ONEHOUR) % 24)
#define Days(x)			(((x) / ONEDAY))
#define OneOrMore(x)		(((x) == 1) ? "" : "s")

#define StrMovePastToken(S, T)	\
				S = strchr(S, T); \
				if (S != NULL) { \
				  *S = '\0'; \
				  ++S; \
				  while (S[0] == T) { ++S; } \
				}

#define StrPrintErrorIfNull(S, F, L, M) \
				if ((S == NULL) || (S[0] == '\0')) { \
				  sysprint(BITMASK_ERROR, M, F, L); \
				  continue; \
				} \
				while ((S[0] == ' ') || (S[0] == '\t')) { ++S; }

#endif
